<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/INFO.class.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch($act){
default:
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи клуба</b></div>';
################################################################################

$goday = DB :: run() -> querySingle("select sum(`click_day`) from `users`");
$logauth = DB :: run() -> querySingle("select count(`id`) from `auth`");
$inpay = DB :: run() -> querySingle("select count(`id`) from `money_in`");
$outpay = DB :: run() -> querySingle("select count(`id`) from `payment` where `status` = ?", array('on'));
$merchantsys = DB :: run() -> querySingle("select count(`id`) from `merchant`");
$sysmoney = DB :: run() -> querySingle("select sum(`balans`) from `users`");
$allref = DB :: run() -> querySingle("select count(`id`) from `ref`");
$bank = DB :: run() -> querySingle("select count(`id`) from `bank`");
$sale = DB :: run() -> querySingle("select count(`id`) from `credit`");
$purchase = DB :: run() -> querySingle("select count(`id`) from `purchase`");

echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_crossing">Логи переходов</a> <span class="count">'.$goday.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i><a href="'.URL.'/_auth">Логи авторизаций</a> <span class="count">'.$logauth.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_inpay">Логи вводов</a> <span class="count">'.$inpay.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_sale">Логи Моментальной продажи кр.</a> <span class="count">'.$sale.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_purchase">Логи Моментальной покупки кр.</a> <span class="count">'.$purchase.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_bank">Операции банка</a> <span class="count">'.$bank.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_outpay">Логи выводов</a> <span class="count">'.$outpay.'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_finance">Финансы клуба</a> <span class="count">'.money(round($sysmoney, 3)).'</span></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> <a href="'.URL.'/_referals">Рефералы</a> <span class="count">'.$allref.'</span></div>';			
			
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';
break;
################################################################################
case 'bank':
echo '<div class="title"><b>'.razd.' Админ-Панель | Операции банка</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `bank`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `bank` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Записей еще нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center><b>Логин</b></center></td><td><center><b>Дата</b></center></td><td><center><b>Сколько</b></center></td><td><center><b>Операция</b></center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.checkout($row -> login).'</center></td><td><center>'.date('d.m.Y H:i:s', $row -> data).'</center></td>
<td><center>'.((int) $row -> kolvo).'</center></td><td><center>'.checkout($row -> operate).'</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_bank?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'sale':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи Моментальной продажи кр.</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `credit`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `credit` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Записей еще нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center><b>Логин</b></center></td><td><center><b>Дата</b></center></td><td><center><b>Сколько</b></center></td><td><center><b>Сумма</b></center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.checkout($row -> sales).'</center></td><td><center>'.date('d.m.Y H:i:s', $row -> data).'</center></td>
<td><center>'.((int) $row -> kolvo).'</center></td><td><center>'.((float) $row -> cena).'</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_sale?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'purchase':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи Моментальной покупки кр.</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `purchase`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `purchase` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Записей еще нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center><b>Логин</b></center></td><td><center><b>Дата</b></center></td><td><center><b>Сколько</b></center></td><td><center><b>Потратил</b></center></td><td><center><b>Стоимость</b></center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.checkout($row -> purse).'</center></td><td><center>'.date('d.m.Y H:i:s', $row -> data).'</center></td>
<td><center>'.((int) $row -> kolvo).'</center></td><td><center>'.((float) $row -> money).'</center></td><td><center>'.((float) $row -> cena).'</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_purchase?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'auth':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи авторизаций</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `auth`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `auth` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Записей еще нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center><b>Логин</b></center></td><td><center><b>Дата</b></center></td><td><center><b>Браузер</b></center></td><td><center><b>IP адрес</b></center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

$detect = new USER_INFO($row -> ua);

$astatus = ($row -> method == '1' ? '<span style="color:green">Успешно</span>' : '<span style="color:red">Не успешно</span>');

echo '<tr><td><center>'.checkout($row -> login).'</center></td><td><center>'.date('d.m.Y H:i:s', $row -> time).'</center></td>
<td><center>'.checkout($row -> ua).' <br/> '.($detect -> getOS() == 'false' ? 'Unknown' : $detect -> getOS()).'</center></td><td><center>'.checkout($row -> ip).' <br/>'.$astatus.'</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_auth?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'crossing':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи переходов</b></div>';

$k_post = DB :: run() -> querySingle("select count(`url`) from `click`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `click` order by `url` desc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Переходов еще нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center><b>Логин</b></center></td><td><center><b>Дата</b></center></td><td><center><b>Ссылка</b></center></td><td><center><b>Браузер</b></center></td><td><center><b>IP адрес</b></center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.checkout($row -> login).'</center></td><td><center>'.date('d.m.Y H:i:s', $row -> time).'</center></td>
<td><center>'.checkout($row -> url).'</center></td><td><center>'.checkout($row -> ua).'</center></td><td><center>'.checkout($row -> ip).'</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_crossing?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################					
case 'inpay':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи вводов</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `money_in`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `money_in` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Логи ввода средств пусты!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center>Логин</center></td><td><center>Дата</center></td>
<td><center>Сумма</center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.login($row -> login, 1).'</center></td><td><center>'.date('d.m.Y H:i:s', $row -> time).'</center></td>
<td><center>'.((int) $row -> summa).' руб.</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_inpay?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################					
case 'outpay':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи выводов</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `payment` where `status` = ?", array('on'));
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `payment` where `status` = ? order by `date` asc limit ".$start.", ".$onpage, array('on'));

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Логи вывода средств пусты!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center>Дата</center></td><td><center>Кому</center></td><td><center>Кошелек</center></td>
<td><center>Сумма</center></td><td><center>Статус</center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.date('d.m.Y H:i', $row -> date).'</center></td><td><center>'.login($row -> login, 1).'</center></td><td><center>'.($row -> wmr ? checkout($row -> wmr) : ' - ').'</center></td>
<td><center>'.round($row -> money, 3).' руб.</center></td><td><center>'.cost($row -> status).'</center></td></tr>';

}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_outpay?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################					
case 'merchant':
echo '<div class="title"><b>'.razd.' Админ-Панель | Логи автовводов</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `merchant`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `merchant` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Логи автовводов пусты!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%"><tr>
<td><center>Счет</center></td><td><center>Логин</center></td>
<td><center>Дата</center></td><td><center>Сумма</center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center># '.((int) $row -> check).'</center></td><td><center>'.login($row -> login, 1).'</center></td>
<td><center>'.date('d.m.Y H:i:s', $row -> time).'</center></td><td><center>'.((int) $row -> summa).' руб.</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_merchant?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################										
case 'finance':
echo '<div class="title"><b>'.razd.' Админ-Панель | Финансы клуба</и></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `users`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `users` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Логи финансов клуба пусты!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%"><tr><td><center>Логин</center></td><td><center>Баланс</center></td><td><center>Введено</center></td><td><center>Выведено</center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

$in = DB :: run() -> querySingle("select sum(`summa`) from `money_in` where `login` = ?", array($row -> login));
$out = DB :: run() -> querySingle("select sum(`money`) from `payment` where `login` = ? and `status` = ?", array($row -> login, 'on'));

echo '<tr><td><center>'.login($row -> login, 1).'</a></center></td><td><center>'.round($row -> balans, 3).' руб.</center></td>
<td><center>'.number_format($in, 2).' руб.</center></td><td><center>'.number_format($out, 2).' руб.</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_finance?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################					
case 'referals':
echo '<div class="title"><b>'.razd.' Админ-Панель | Рефералы</b></div>';

$k_post = DB :: run() -> querySingle("select count(`id`) from `ref`");

$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `ref` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Рефералов в клубе нет!</center></div>';
} else {
echo '<table border="1" class="menu" width="100%">
<tr><td><center>Логин</center></td><td><center>Реферал</center></td><td><center>Заработал</center></td></tr>';
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<tr><td><center>'.login($row -> who, 1).'</center></td><td><center>'.login($row -> login, 1).'</center></td>
<td><center>'.round($row -> all, 2).'</center></td></tr>';
}
echo '</table>';
if ($k_page > 1) navigation(URL.'/_referals?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_syslog">Логи клуба</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
}
} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>